%define	majver		112
%define	minver		0
#define	minminver	1

Name:		simutrans
#Version:	0.%{majver}.%{minver}.%{minminver}
Version:	0.%{majver}.%{minver}

Release:	%mkrel 2
Summary:	Transport and Economic Simulation Game
License:	Artistic
Group:		Games/Strategy
Url:		http://www.simutrans.com/
#Source:	http://downloads.sourceforge.net/simutrans/simutrans/%{majver}-%{minver}-%{minminver}/%{name}-src-%{majver}-%{minver}-%{minminver}.zip
Source:		http://downloads.sourceforge.net/simutrans/simutrans/%{majver}-%{minver}/%{name}-src-%{majver}-%{minver}.zip
Source1:	config.default
Source2:	simutrans.run
Source3:	simutrans.desktop
Source4:	simutrans.png
Source5:	simutrans_langtabs-99-17.tar.bz2
Patch0:		simutrans-no-x86-specifics-0.112.0.patch
Patch1:		simutrans-0.111.2.2-homepath.patch
Patch3:		simutrans-security.patch
#Patch2:		simutrans-0.111.2.2-headers.patch
Requires:	simutrans-pak
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	bzip2-devel
BuildRequires:	zlib-devel

%description
Simutrans is a freeware transportation simulator that runs under
Windows, Linux, and a few other operating systems (Apple Macintosh
with Intel processors, BEOS). It's similar to Transport Tycoon,
Transport Tycoon Deluxe and Transport Giant.

You take on the role of operating a transportation company, and your
goal is to get goods of various kinds, as well as passengers and mail,
from one place to the next.

Don't be fooled by the tile-based graphics - this is a very complex
game, and it is constantly evolving, with new features being added. It
is a living game, and consistently being made better and better.

%prep
%setup -q -c -a 5
find . -type f -exec chmod 644 {} \;
%patch1 -p1 -b .homepath
%patch3 -p1 -b .security
#%patch2 -p1 -b .header
%ifarch x86_64
%patch0 -p1
%endif

%build
%__cp -pr %{SOURCE1} .
echo "CFLAGS = %{optflags}" >> config.default
echo "LDFLAGS = %{ldflags}" >> config.default
%make

%install
%__mkdir_p %{buildroot}%{_libexecdir}/simutrans
%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_iconsdir}
%__mkdir_p %{buildroot}%{_datadir}/applications

%__install -m 0755 build/default/sim %{buildroot}%{_libexecdir}/simutrans/simutrans.bin
%__cp -pr simutrans/{config,font,music,text} %{buildroot}%{_libexecdir}/simutrans/

%__sed -e 's,@LIBEXECDIR@,%{_libexecdir},g' %{SOURCE2} > %{buildroot}%{_bindir}/simutrans
%__chmod 0755 %{buildroot}%{_bindir}/simutrans
%__install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/applications/
%__install -m 0644 %{SOURCE4} %{buildroot}%{_iconsdir}/

%files
%doc simutrans/*.txt
%{_bindir}/%{name}
%{_libexecdir}/simutrans
%{_iconsdir}/simutrans.png
%{_datadir}/applications/*.desktop



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.112.0-2.mga3
+ Revision: 382066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 fwang <fwang> 0.112.0-1.mga3
+ Revision: 316135
- do not own bindir

  + joequant <joequant>
    - clean up simutrans.spec to use mageia cflags/lflags and add security patch
    - add full url to spec
      remove unnecessary cleans
    - imported package simutrans

